# Query$list\_files

### Query$<mark style="color:purple;">list\_files</mark>(*max\_results=NULL, \*, file\_id\_variable=NULL*) → list<[**File**](/api/client-libraries/redivis-r/reference/file.md)>

Returns a list of files associated with the query results to the directory specified at path. Only relevant for queries against file index tables (the query result must also contain the file\_id variable). If the query results contain multiple file id variables, must specify the `file_id_variable` parameter.

### **Parameters:**

**`max_results` :&#x20;*****int, default NULL***\
If specified, will only return up to max\_results files

**`file_id_variable` :&#x20;*****str, default NULL***\
The variable in the query results containing file ids. Only required if the query results contains more than one file id variable.

### **Returns:**&#x20;

**list<**[**File**](/api/client-libraries/redivis-r/reference/file.md)**>**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/query/queryusdlist_files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
